[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SetCodePage

Set the codepage of a string

## Declaration

Source position: systemh.inc line 1233

`procedure SetCodePage(`
`var s: RawByteString;`
`CodePage: TSystemCodePage;`
`Convert: Boolean = True`
`);`

## Description

SetCodePage sets the codepage of a string S to CodePage. If Convert is True then the string will be transcoded to the new codepage. The resulting string will have reference count 1.

## See also

StringCodePage |  | Get the code page of a string